document.addEventListener("DOMContentLoaded", function() {
    gsap.registerPlugin(ScrollTrigger);

    const slides = document.querySelectorAll(".slide");
    const sliderContainer = document.querySelector(".slider-container");

    gsap.to(sliderContainer, {
        xPercent: -100 * (slides.length - 4) / slides.length,
        ease: "none",
        scrollTrigger: {
            trigger: ".portfolio-section",
            pin: true,
            scrub: 1,
            snap: 1 / (slides.length - 4),
            end: () => "+=" + sliderContainer.offsetWidth
        }
    });
});


// SLIDER



  const testimonials = document.querySelectorAll('.testimonial');
  const dots = document.querySelectorAll('.dot');
  let currentIndex = 0;
  let autoPlayInterval;

  function showTestimonial(index) {
    // Hide all testimonials
    testimonials.forEach((testimonial, i) => {
      if (i === index) {
        gsap.to(testimonial, { opacity: 1, y: 0, duration: 1, display: "block" });
        testimonial.classList.add('active');
      } else {
        gsap.to(testimonial, { opacity: 0, y: 30, duration: 1, display: "none" });
        testimonial.classList.remove('active');
      }
    });

    // Update dots
    dots.forEach(dot => dot.classList.remove('active'));
    dots[index].classList.add('active');
  }

  function nextSlide() {
    currentIndex = (currentIndex + 1) % testimonials.length;
    showTestimonial(currentIndex);
  }

  function setAutoPlay() {
    autoPlayInterval = setInterval(nextSlide, 3000); // Change every 3 seconds
  }

  // Dot click functionality
  dots.forEach(dot => {
    dot.addEventListener('click', (e) => {
      clearInterval(autoPlayInterval); // Stop autoplay
      currentIndex = parseInt(e.target.getAttribute('data-slide'));
      showTestimonial(currentIndex);
      setAutoPlay(); // Restart autoplay
    });
  });

  // Start autoplay
  setAutoPlay();
