document.addEventListener("DOMContentLoaded", function () {
  const video = document.getElementById("banner-video");
  const firstBanner = document.getElementById("first-banner");
  const secondBanner = document.getElementById("second-banner");

  video.addEventListener("ended", function () {
      firstBanner.style.display = "none";
      secondBanner.style.display = "block";
  });
});



document.addEventListener("DOMContentLoaded", function() {
    gsap.registerPlugin(ScrollTrigger);

    const slides = document.querySelectorAll(".slide");
    const sliderContainer = document.querySelector(".slider-container");

    gsap.to(sliderContainer, {
        xPercent: -100 * (slides.length - 4) / slides.length,
        ease: "none",
        scrollTrigger: {
            trigger: ".portfolio-section",
            pin: true,
            scrub: 1,
            snap: 1 / (slides.length - 4),
            end: () => "+=" + sliderContainer.offsetWidth
        }
    });
});


// SLIDER

window.addEventListener('load', function() {
  setTimeout(function() {
    document.querySelector('.spinner-link').classList.add('show');
  }, 7000); // 7 seconds
});

  const testimonials = document.querySelectorAll('.testimonial');
  const dots = document.querySelectorAll('.dot');
  let currentIndex = 0;
  let autoPlayInterval;

  function showTestimonial(index) {
    // Hide all testimonials
    testimonials.forEach((testimonial, i) => {
      if (i === index) {
        gsap.fromTo(
          testimonial,
          { opacity: 0, x: 100 },
          { opacity: 1, x: 0, duration: 1, display: "block" }
        );
        testimonial.classList.add('active');
      } else {
        gsap.to(testimonial, { opacity: 0, x: -100, duration: 1, display: "none" });
        testimonial.classList.remove('active');
      }
    });

    // Update active dot
    dots.forEach(dot => dot.classList.remove('active'));
    dots[index].classList.add('active');
  }

  function nextSlide() {
    currentIndex = (currentIndex + 1) % testimonials.length;
    showTestimonial(currentIndex);
  }

  function setAutoPlay() {
    autoPlayInterval = setInterval(nextSlide, 3000); // Change every 3 seconds
  }

  // Dot click functionality
  dots.forEach(dot => {
    dot.addEventListener('click', (e) => {
      clearInterval(autoPlayInterval); // Stop autoplay
      currentIndex = parseInt(e.target.getAttribute('data-slide'));
      showTestimonial(currentIndex);
      setAutoPlay(); // Restart autoplay
    });
  });

  // Start autoplay
  setAutoPlay();


  document.addEventListener('DOMContentLoaded', function() {
    const words = ["creative", "robust", "modern"];
    let i = 0;
    let j = 0;
    let currentWord = '';
    let isDeleting = false;
    const typingSpeed = 600; // Adjusted typing speed
    const deletingSpeed = 300; // Speed for deleting characters
    const pause = 800; // Adjusted pause duration
    const textElement = document.getElementById('animated-text');
  
    function type() {
      if (isDeleting) {
        currentWord = words[i].substring(0, j--);
      } else {
        currentWord = words[i].substring(0, j++);
      }
  
      textElement.textContent = currentWord;
  
      if (!isDeleting && j === words[i].length) {
        setTimeout(() => {
          isDeleting = true;
          type();
        }, pause);
      } else if (isDeleting && j === 0) {
        isDeleting = false;
        i = (i + 1) % words.length;
        type();
      } else {
        const speed = isDeleting ? deletingSpeed : typingSpeed;
        setTimeout(type, speed);
      }
    }
  
    setTimeout(type, 7000); // Start typing after 7 seconds
});

  document.querySelectorAll('.expertise-item').forEach(item => {
    item.addEventListener('mouseenter', (e) => {
      const back = item.querySelector('.back');
      const rect = item.getBoundingClientRect();
      const x = e.clientX - rect.left;
      const y = e.clientY - rect.top;
      const direction = getDirection(x, y, rect.width, rect.height);
  
      gsap.set(back, { top: direction.top, left: direction.left });
      gsap.to(back, { top: 0, left: 0, duration: 0.7, ease: "power2.inOut" });
    });
  
    item.addEventListener('mouseleave', (e) => {
      const back = item.querySelector('.back');
      const rect = item.getBoundingClientRect();
      const x = e.clientX - rect.left;
      const y = e.clientY - rect.top;
      const direction = getDirection(x, y, rect.width, rect.height);
  
      gsap.to(back, { top: direction.top, left: direction.left, duration: 0.4});
    });
  });
  
  function getDirection(x, y, width, height) {
    const top = { top: '-110%', left: '0' };
    const bottom = { top: '110%', left: '0' };
    const left = { top: '0', left: '-110%' };
    const right = { top: '0', left: '110%' };
  
    const fromTop = y < height / 2 && x > y && x < width - y;
    const fromBottom = y > height / 2 && x > height - y && x < width - (height - y);
    const fromLeft = x < width / 2 && y > x && y < height - x;
    const fromRight = x > width / 2 && y > width - x && y < height - (width - x);
  
    if (fromTop) return top;
    if (fromBottom) return bottom;
    if (fromLeft) return left;
    if (fromRight) return right;
  }

  